# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AR = @AR@
AS = @AS@
ASFLAGS = @ASFLAGS@
CC = @CC@
CXX = @CXX@
CXXCPP = @CXXCPP@
DATADIR = @DATADIR@
DFB_CFLAGS_OMIT_FRAME_POINTER = @DFB_CFLAGS_OMIT_FRAME_POINTER@
DFB_INTERNAL_CFLAGS = @DFB_INTERNAL_CFLAGS@
DFB_LDFLAGS = @DFB_LDFLAGS@
DIRECTFB_BINARY_AGE = @DIRECTFB_BINARY_AGE@
DIRECTFB_CSOURCE = @DIRECTFB_CSOURCE@
DIRECTFB_INTERFACE_AGE = @DIRECTFB_INTERFACE_AGE@
DIRECTFB_MAJOR_VERSION = @DIRECTFB_MAJOR_VERSION@
DIRECTFB_MICRO_VERSION = @DIRECTFB_MICRO_VERSION@
DIRECTFB_MINOR_VERSION = @DIRECTFB_MINOR_VERSION@
DIRECTFB_VERSION = @DIRECTFB_VERSION@
DIRECT_BUILD_DEBUG = @DIRECT_BUILD_DEBUG@
DIRECT_BUILD_DEBUGS = @DIRECT_BUILD_DEBUGS@
DIRECT_BUILD_GETTID = @DIRECT_BUILD_GETTID@
DIRECT_BUILD_TEXT = @DIRECT_BUILD_TEXT@
DIRECT_BUILD_TRACE = @DIRECT_BUILD_TRACE@
DLLTOOL = @DLLTOOL@
DYNLIB = @DYNLIB@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_CONFIG = @FREETYPE_CONFIG@
FREETYPE_LIBS = @FREETYPE_LIBS@
FREETYPE_PROVIDER = @FREETYPE_PROVIDER@
FUSION_BUILD_MULTI = @FUSION_BUILD_MULTI@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GIF_PROVIDER = @GIF_PROVIDER@
HAVE_LIB = @HAVE_LIB@
HAVE_LINUX = @HAVE_LINUX@
INCLUDEDIR = @INCLUDEDIR@
INTERNALINCLUDEDIR = @INTERNALINCLUDEDIR@
JPEG_PROVIDER = @JPEG_PROVIDER@
LIB = @LIB@
LIBJPEG = @LIBJPEG@
LIBPNG = @LIBPNG@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIB = @LTLIB@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_RELEASE = @LT_RELEASE@
LT_REVISION = @LT_REVISION@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MAN2HTML = @MAN2HTML@
MODULEDIR = @MODULEDIR@
MODULEDIRNAME = @MODULEDIRNAME@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OSX_LIBS = @OSX_LIBS@
PACKAGE = @PACKAGE@
PERL = @PERL@
PNG_PROVIDER = @PNG_PROVIDER@
RANLIB = @RANLIB@
RC = @RC@
RUNTIME_SYSROOT = @RUNTIME_SYSROOT@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
SOPATH = @SOPATH@
STRIP = @STRIP@
SYSFS_LIBS = @SYSFS_LIBS@
THREADFLAGS = @THREADFLAGS@
THREADLIB = @THREADLIB@
VERSION = @VERSION@
VNC_CFLAGS = @VNC_CFLAGS@
VNC_CONFIG = @VNC_CONFIG@
VNC_LIBS = @VNC_LIBS@
X11_CFLAGS = @X11_CFLAGS@
X11_LIBS = @X11_LIBS@
ZLIB_LIBS = @ZLIB_LIBS@

INTERFACES_DIR = $(MODULEDIR)/interfaces

idirectfbdir = $(INTERFACES_DIR)/IDirectFB
idirectfbdatabufferdir = $(INTERFACES_DIR)/IDirectFBDataBuffer
idirectfbdisplaylayerdir = $(INTERFACES_DIR)/IDirectFBDisplayLayer
idirectfbeventbufferdir = $(INTERFACES_DIR)/IDirectFBEventBuffer
idirectfbfontdir = $(INTERFACES_DIR)/IDirectFBFont
idirectfbimageproviderdir = $(INTERFACES_DIR)/IDirectFBImageProvider
idirectfbinputdevicedir = $(INTERFACES_DIR)/IDirectFBInputDevice
idirectfbpalettedir = $(INTERFACES_DIR)/IDirectFBPalette
idirectfbscreendir = $(INTERFACES_DIR)/IDirectFBScreen
idirectfbsurfacedir = $(INTERFACES_DIR)/IDirectFBSurface
idirectfbwindowdir = $(INTERFACES_DIR)/IDirectFBWindow
idirectfbvideoproviderdir = $(INTERFACES_DIR)/IDirectFBVideoProvider

INCLUDES =  	-I$(top_srcdir)/include			-I$(top_srcdir)/lib			-I$(top_builddir)/lib			-I$(top_srcdir)/src 			-I$(top_srcdir)/proxy/requestor		-DDATADIR=\"${RUNTIME_SYSROOT}@DATADIR@\"


LIBS =  	$(top_builddir)/lib/voodoo/libvoodoo.la 	$(top_builddir)/lib/direct/libdirect.la


idirectfb_LTLIBRARIES =  	libidirectfb_dispatcher.la


idirectfbdatabuffer_LTLIBRARIES =  	libidirectfbdatabuffer_dispatcher.la


idirectfbdisplaylayer_LTLIBRARIES =  	libidirectfbdisplaylayer_dispatcher.la


idirectfbeventbuffer_LTLIBRARIES =  	libidirectfbeventbuffer_dispatcher.la


idirectfbfont_LTLIBRARIES =  	libidirectfbfont_dispatcher.la


idirectfbimageprovider_LTLIBRARIES =  	libidirectfbimageprovider_dispatcher.la


idirectfbinputdevice_LTLIBRARIES =  	libidirectfbinputdevice_dispatcher.la


idirectfbpalette_LTLIBRARIES =  	libidirectfbpalette_dispatcher.la


idirectfbscreen_LTLIBRARIES =  	libidirectfbscreen_dispatcher.la


idirectfbsurface_LTLIBRARIES =  	libidirectfbsurface_dispatcher.la


idirectfbwindow_LTLIBRARIES =  	libidirectfbwindow_dispatcher.la


@BUILD_STATIC_TRUE@idirectfb_DATA = libidirectfb_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbdatabuffer_DATA = libidirectfbdatabuffer_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbdisplaylayer_DATA = libidirectfbdisplaylayer_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbeventbuffer_DATA = libidirectfbeventbuffer_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbfont_DATA = libidirectfbfont_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbimageprovider_DATA = libidirectfbimageprovider_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbinputdevice_DATA = libidirectfbinputdevice_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbpalette_DATA = libidirectfbpalette_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbscreen_DATA = libidirectfbscreen_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbsurface_DATA = libidirectfbsurface_dispatcher.o
@BUILD_STATIC_TRUE@idirectfbwindow_DATA = libidirectfbwindow_dispatcher.o

libidirectfb_dispatcher_la_SOURCES = idirectfb_dispatcher.c idirectfb_dispatcher.h
libidirectfb_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfb_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbdatabuffer_dispatcher_la_SOURCES = idirectfbdatabuffer_dispatcher.c idirectfbdatabuffer_dispatcher.h
libidirectfbdatabuffer_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbdatabuffer_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbdisplaylayer_dispatcher_la_SOURCES = idirectfbdisplaylayer_dispatcher.c idirectfbdisplaylayer_dispatcher.h
libidirectfbdisplaylayer_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbdisplaylayer_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbeventbuffer_dispatcher_la_SOURCES = idirectfbeventbuffer_dispatcher.c idirectfbeventbuffer_dispatcher.h
libidirectfbeventbuffer_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbeventbuffer_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbfont_dispatcher_la_SOURCES = idirectfbfont_dispatcher.c idirectfbfont_dispatcher.h
libidirectfbfont_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbfont_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbimageprovider_dispatcher_la_SOURCES = idirectfbimageprovider_dispatcher.c idirectfbimageprovider_dispatcher.h
libidirectfbimageprovider_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbimageprovider_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbinputdevice_dispatcher_la_SOURCES = idirectfbinputdevice_dispatcher.c idirectfbinputdevice_dispatcher.h
libidirectfbinputdevice_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbinputdevice_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbpalette_dispatcher_la_SOURCES = idirectfbpalette_dispatcher.c idirectfbpalette_dispatcher.h
libidirectfbpalette_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbpalette_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbscreen_dispatcher_la_SOURCES = idirectfbscreen_dispatcher.c idirectfbscreen_dispatcher.h
libidirectfbscreen_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbscreen_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbsurface_dispatcher_la_SOURCES = idirectfbsurface_dispatcher.c idirectfbsurface_dispatcher.h
libidirectfbsurface_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbsurface_dispatcher_la_LIBADDD = $(LIBS)

libidirectfbwindow_dispatcher_la_SOURCES = idirectfbwindow_dispatcher.c idirectfbwindow_dispatcher.h
libidirectfbwindow_dispatcher_la_LDFLAGS = -avoid-version -module
libidirectfbwindow_dispatcher_la_LIBADDD = $(LIBS)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(idirectfb_LTLIBRARIES) \
$(idirectfbdatabuffer_LTLIBRARIES) $(idirectfbdisplaylayer_LTLIBRARIES) \
$(idirectfbeventbuffer_LTLIBRARIES) $(idirectfbfont_LTLIBRARIES) \
$(idirectfbimageprovider_LTLIBRARIES) \
$(idirectfbinputdevice_LTLIBRARIES) $(idirectfbpalette_LTLIBRARIES) \
$(idirectfbscreen_LTLIBRARIES) $(idirectfbsurface_LTLIBRARIES) \
$(idirectfbwindow_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
libidirectfb_dispatcher_la_LIBADD = 
libidirectfb_dispatcher_la_OBJECTS =  idirectfb_dispatcher.lo
libidirectfbdatabuffer_dispatcher_la_LIBADD = 
libidirectfbdatabuffer_dispatcher_la_OBJECTS =  \
idirectfbdatabuffer_dispatcher.lo
libidirectfbdisplaylayer_dispatcher_la_LIBADD = 
libidirectfbdisplaylayer_dispatcher_la_OBJECTS =  \
idirectfbdisplaylayer_dispatcher.lo
libidirectfbeventbuffer_dispatcher_la_LIBADD = 
libidirectfbeventbuffer_dispatcher_la_OBJECTS =  \
idirectfbeventbuffer_dispatcher.lo
libidirectfbfont_dispatcher_la_LIBADD = 
libidirectfbfont_dispatcher_la_OBJECTS =  idirectfbfont_dispatcher.lo
libidirectfbimageprovider_dispatcher_la_LIBADD = 
libidirectfbimageprovider_dispatcher_la_OBJECTS =  \
idirectfbimageprovider_dispatcher.lo
libidirectfbinputdevice_dispatcher_la_LIBADD = 
libidirectfbinputdevice_dispatcher_la_OBJECTS =  \
idirectfbinputdevice_dispatcher.lo
libidirectfbpalette_dispatcher_la_LIBADD = 
libidirectfbpalette_dispatcher_la_OBJECTS =  \
idirectfbpalette_dispatcher.lo
libidirectfbscreen_dispatcher_la_LIBADD = 
libidirectfbscreen_dispatcher_la_OBJECTS =  \
idirectfbscreen_dispatcher.lo
libidirectfbsurface_dispatcher_la_LIBADD = 
libidirectfbsurface_dispatcher_la_OBJECTS =  \
idirectfbsurface_dispatcher.lo
libidirectfbwindow_dispatcher_la_LIBADD = 
libidirectfbwindow_dispatcher_la_OBJECTS =  \
idirectfbwindow_dispatcher.lo
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DATA =  $(idirectfb_DATA) $(idirectfbdatabuffer_DATA) \
$(idirectfbdisplaylayer_DATA) $(idirectfbeventbuffer_DATA) \
$(idirectfbfont_DATA) $(idirectfbimageprovider_DATA) \
$(idirectfbinputdevice_DATA) $(idirectfbpalette_DATA) \
$(idirectfbscreen_DATA) $(idirectfbsurface_DATA) \
$(idirectfbwindow_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libidirectfb_dispatcher_la_SOURCES) $(libidirectfbdatabuffer_dispatcher_la_SOURCES) $(libidirectfbdisplaylayer_dispatcher_la_SOURCES) $(libidirectfbeventbuffer_dispatcher_la_SOURCES) $(libidirectfbfont_dispatcher_la_SOURCES) $(libidirectfbimageprovider_dispatcher_la_SOURCES) $(libidirectfbinputdevice_dispatcher_la_SOURCES) $(libidirectfbpalette_dispatcher_la_SOURCES) $(libidirectfbscreen_dispatcher_la_SOURCES) $(libidirectfbsurface_dispatcher_la_SOURCES) $(libidirectfbwindow_dispatcher_la_SOURCES)
OBJECTS = $(libidirectfb_dispatcher_la_OBJECTS) $(libidirectfbdatabuffer_dispatcher_la_OBJECTS) $(libidirectfbdisplaylayer_dispatcher_la_OBJECTS) $(libidirectfbeventbuffer_dispatcher_la_OBJECTS) $(libidirectfbfont_dispatcher_la_OBJECTS) $(libidirectfbimageprovider_dispatcher_la_OBJECTS) $(libidirectfbinputdevice_dispatcher_la_OBJECTS) $(libidirectfbpalette_dispatcher_la_OBJECTS) $(libidirectfbscreen_dispatcher_la_OBJECTS) $(libidirectfbsurface_dispatcher_la_OBJECTS) $(libidirectfbwindow_dispatcher_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/rules/libobject.make
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps proxy/dispatcher/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-idirectfbLTLIBRARIES:

clean-idirectfbLTLIBRARIES:
	-test -z "$(idirectfb_LTLIBRARIES)" || rm -f $(idirectfb_LTLIBRARIES)

distclean-idirectfbLTLIBRARIES:

maintainer-clean-idirectfbLTLIBRARIES:

install-idirectfbLTLIBRARIES: $(idirectfb_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbdir)
	@list='$(idirectfb_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbdir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfb_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbdir)/$$p; \
	done

mostlyclean-idirectfbdatabufferLTLIBRARIES:

clean-idirectfbdatabufferLTLIBRARIES:
	-test -z "$(idirectfbdatabuffer_LTLIBRARIES)" || rm -f $(idirectfbdatabuffer_LTLIBRARIES)

distclean-idirectfbdatabufferLTLIBRARIES:

maintainer-clean-idirectfbdatabufferLTLIBRARIES:

install-idirectfbdatabufferLTLIBRARIES: $(idirectfbdatabuffer_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbdatabufferdir)
	@list='$(idirectfbdatabuffer_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbdatabufferdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbdatabufferdir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbdatabufferLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbdatabuffer_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbdatabufferdir)/$$p; \
	done

mostlyclean-idirectfbdisplaylayerLTLIBRARIES:

clean-idirectfbdisplaylayerLTLIBRARIES:
	-test -z "$(idirectfbdisplaylayer_LTLIBRARIES)" || rm -f $(idirectfbdisplaylayer_LTLIBRARIES)

distclean-idirectfbdisplaylayerLTLIBRARIES:

maintainer-clean-idirectfbdisplaylayerLTLIBRARIES:

install-idirectfbdisplaylayerLTLIBRARIES: $(idirectfbdisplaylayer_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbdisplaylayerdir)
	@list='$(idirectfbdisplaylayer_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbdisplaylayerdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbdisplaylayerdir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbdisplaylayerLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbdisplaylayer_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbdisplaylayerdir)/$$p; \
	done

mostlyclean-idirectfbeventbufferLTLIBRARIES:

clean-idirectfbeventbufferLTLIBRARIES:
	-test -z "$(idirectfbeventbuffer_LTLIBRARIES)" || rm -f $(idirectfbeventbuffer_LTLIBRARIES)

distclean-idirectfbeventbufferLTLIBRARIES:

maintainer-clean-idirectfbeventbufferLTLIBRARIES:

install-idirectfbeventbufferLTLIBRARIES: $(idirectfbeventbuffer_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbeventbufferdir)
	@list='$(idirectfbeventbuffer_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbeventbufferdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbeventbufferdir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbeventbufferLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbeventbuffer_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbeventbufferdir)/$$p; \
	done

mostlyclean-idirectfbfontLTLIBRARIES:

clean-idirectfbfontLTLIBRARIES:
	-test -z "$(idirectfbfont_LTLIBRARIES)" || rm -f $(idirectfbfont_LTLIBRARIES)

distclean-idirectfbfontLTLIBRARIES:

maintainer-clean-idirectfbfontLTLIBRARIES:

install-idirectfbfontLTLIBRARIES: $(idirectfbfont_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbfontdir)
	@list='$(idirectfbfont_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbfontdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbfontdir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbfontLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbfont_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbfontdir)/$$p; \
	done

mostlyclean-idirectfbimageproviderLTLIBRARIES:

clean-idirectfbimageproviderLTLIBRARIES:
	-test -z "$(idirectfbimageprovider_LTLIBRARIES)" || rm -f $(idirectfbimageprovider_LTLIBRARIES)

distclean-idirectfbimageproviderLTLIBRARIES:

maintainer-clean-idirectfbimageproviderLTLIBRARIES:

install-idirectfbimageproviderLTLIBRARIES: $(idirectfbimageprovider_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbimageproviderdir)
	@list='$(idirectfbimageprovider_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbimageproviderdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbimageproviderdir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbimageproviderLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbimageprovider_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbimageproviderdir)/$$p; \
	done

mostlyclean-idirectfbinputdeviceLTLIBRARIES:

clean-idirectfbinputdeviceLTLIBRARIES:
	-test -z "$(idirectfbinputdevice_LTLIBRARIES)" || rm -f $(idirectfbinputdevice_LTLIBRARIES)

distclean-idirectfbinputdeviceLTLIBRARIES:

maintainer-clean-idirectfbinputdeviceLTLIBRARIES:

install-idirectfbinputdeviceLTLIBRARIES: $(idirectfbinputdevice_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbinputdevicedir)
	@list='$(idirectfbinputdevice_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbinputdevicedir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbinputdevicedir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbinputdeviceLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbinputdevice_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbinputdevicedir)/$$p; \
	done

mostlyclean-idirectfbpaletteLTLIBRARIES:

clean-idirectfbpaletteLTLIBRARIES:
	-test -z "$(idirectfbpalette_LTLIBRARIES)" || rm -f $(idirectfbpalette_LTLIBRARIES)

distclean-idirectfbpaletteLTLIBRARIES:

maintainer-clean-idirectfbpaletteLTLIBRARIES:

install-idirectfbpaletteLTLIBRARIES: $(idirectfbpalette_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbpalettedir)
	@list='$(idirectfbpalette_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbpalettedir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbpalettedir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbpaletteLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbpalette_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbpalettedir)/$$p; \
	done

mostlyclean-idirectfbscreenLTLIBRARIES:

clean-idirectfbscreenLTLIBRARIES:
	-test -z "$(idirectfbscreen_LTLIBRARIES)" || rm -f $(idirectfbscreen_LTLIBRARIES)

distclean-idirectfbscreenLTLIBRARIES:

maintainer-clean-idirectfbscreenLTLIBRARIES:

install-idirectfbscreenLTLIBRARIES: $(idirectfbscreen_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbscreendir)
	@list='$(idirectfbscreen_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbscreendir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbscreendir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbscreenLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbscreen_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbscreendir)/$$p; \
	done

mostlyclean-idirectfbsurfaceLTLIBRARIES:

clean-idirectfbsurfaceLTLIBRARIES:
	-test -z "$(idirectfbsurface_LTLIBRARIES)" || rm -f $(idirectfbsurface_LTLIBRARIES)

distclean-idirectfbsurfaceLTLIBRARIES:

maintainer-clean-idirectfbsurfaceLTLIBRARIES:

install-idirectfbsurfaceLTLIBRARIES: $(idirectfbsurface_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbsurfacedir)
	@list='$(idirectfbsurface_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbsurfacedir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbsurfacedir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbsurfaceLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbsurface_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbsurfacedir)/$$p; \
	done

mostlyclean-idirectfbwindowLTLIBRARIES:

clean-idirectfbwindowLTLIBRARIES:
	-test -z "$(idirectfbwindow_LTLIBRARIES)" || rm -f $(idirectfbwindow_LTLIBRARIES)

distclean-idirectfbwindowLTLIBRARIES:

maintainer-clean-idirectfbwindowLTLIBRARIES:

install-idirectfbwindowLTLIBRARIES: $(idirectfbwindow_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbwindowdir)
	@list='$(idirectfbwindow_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbwindowdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(idirectfbwindowdir)/$$p; \
	  else :; fi; \
	done

uninstall-idirectfbwindowLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbwindow_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(idirectfbwindowdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libidirectfb_dispatcher.la: $(libidirectfb_dispatcher_la_OBJECTS) $(libidirectfb_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbdir) $(libidirectfb_dispatcher_la_LDFLAGS) $(libidirectfb_dispatcher_la_OBJECTS) $(libidirectfb_dispatcher_la_LIBADD) $(LIBS)

libidirectfbdatabuffer_dispatcher.la: $(libidirectfbdatabuffer_dispatcher_la_OBJECTS) $(libidirectfbdatabuffer_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbdatabufferdir) $(libidirectfbdatabuffer_dispatcher_la_LDFLAGS) $(libidirectfbdatabuffer_dispatcher_la_OBJECTS) $(libidirectfbdatabuffer_dispatcher_la_LIBADD) $(LIBS)

libidirectfbdisplaylayer_dispatcher.la: $(libidirectfbdisplaylayer_dispatcher_la_OBJECTS) $(libidirectfbdisplaylayer_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbdisplaylayerdir) $(libidirectfbdisplaylayer_dispatcher_la_LDFLAGS) $(libidirectfbdisplaylayer_dispatcher_la_OBJECTS) $(libidirectfbdisplaylayer_dispatcher_la_LIBADD) $(LIBS)

libidirectfbeventbuffer_dispatcher.la: $(libidirectfbeventbuffer_dispatcher_la_OBJECTS) $(libidirectfbeventbuffer_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbeventbufferdir) $(libidirectfbeventbuffer_dispatcher_la_LDFLAGS) $(libidirectfbeventbuffer_dispatcher_la_OBJECTS) $(libidirectfbeventbuffer_dispatcher_la_LIBADD) $(LIBS)

libidirectfbfont_dispatcher.la: $(libidirectfbfont_dispatcher_la_OBJECTS) $(libidirectfbfont_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbfontdir) $(libidirectfbfont_dispatcher_la_LDFLAGS) $(libidirectfbfont_dispatcher_la_OBJECTS) $(libidirectfbfont_dispatcher_la_LIBADD) $(LIBS)

libidirectfbimageprovider_dispatcher.la: $(libidirectfbimageprovider_dispatcher_la_OBJECTS) $(libidirectfbimageprovider_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbimageproviderdir) $(libidirectfbimageprovider_dispatcher_la_LDFLAGS) $(libidirectfbimageprovider_dispatcher_la_OBJECTS) $(libidirectfbimageprovider_dispatcher_la_LIBADD) $(LIBS)

libidirectfbinputdevice_dispatcher.la: $(libidirectfbinputdevice_dispatcher_la_OBJECTS) $(libidirectfbinputdevice_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbinputdevicedir) $(libidirectfbinputdevice_dispatcher_la_LDFLAGS) $(libidirectfbinputdevice_dispatcher_la_OBJECTS) $(libidirectfbinputdevice_dispatcher_la_LIBADD) $(LIBS)

libidirectfbpalette_dispatcher.la: $(libidirectfbpalette_dispatcher_la_OBJECTS) $(libidirectfbpalette_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbpalettedir) $(libidirectfbpalette_dispatcher_la_LDFLAGS) $(libidirectfbpalette_dispatcher_la_OBJECTS) $(libidirectfbpalette_dispatcher_la_LIBADD) $(LIBS)

libidirectfbscreen_dispatcher.la: $(libidirectfbscreen_dispatcher_la_OBJECTS) $(libidirectfbscreen_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbscreendir) $(libidirectfbscreen_dispatcher_la_LDFLAGS) $(libidirectfbscreen_dispatcher_la_OBJECTS) $(libidirectfbscreen_dispatcher_la_LIBADD) $(LIBS)

libidirectfbsurface_dispatcher.la: $(libidirectfbsurface_dispatcher_la_OBJECTS) $(libidirectfbsurface_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbsurfacedir) $(libidirectfbsurface_dispatcher_la_LDFLAGS) $(libidirectfbsurface_dispatcher_la_OBJECTS) $(libidirectfbsurface_dispatcher_la_LIBADD) $(LIBS)

libidirectfbwindow_dispatcher.la: $(libidirectfbwindow_dispatcher_la_OBJECTS) $(libidirectfbwindow_dispatcher_la_DEPENDENCIES)
	$(LINK) -rpath $(idirectfbwindowdir) $(libidirectfbwindow_dispatcher_la_LDFLAGS) $(libidirectfbwindow_dispatcher_la_OBJECTS) $(libidirectfbwindow_dispatcher_la_LIBADD) $(LIBS)

install-idirectfbDATA: $(idirectfb_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbdir)
	@list='$(idirectfb_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbdir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfb_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbdir)/$$p; \
	done

install-idirectfbdatabufferDATA: $(idirectfbdatabuffer_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbdatabufferdir)
	@list='$(idirectfbdatabuffer_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbdatabufferdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbdatabufferdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbdatabufferdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbdatabufferdir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbdatabufferDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbdatabuffer_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbdatabufferdir)/$$p; \
	done

install-idirectfbdisplaylayerDATA: $(idirectfbdisplaylayer_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbdisplaylayerdir)
	@list='$(idirectfbdisplaylayer_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbdisplaylayerdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbdisplaylayerdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbdisplaylayerdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbdisplaylayerdir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbdisplaylayerDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbdisplaylayer_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbdisplaylayerdir)/$$p; \
	done

install-idirectfbeventbufferDATA: $(idirectfbeventbuffer_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbeventbufferdir)
	@list='$(idirectfbeventbuffer_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbeventbufferdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbeventbufferdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbeventbufferdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbeventbufferdir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbeventbufferDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbeventbuffer_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbeventbufferdir)/$$p; \
	done

install-idirectfbfontDATA: $(idirectfbfont_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbfontdir)
	@list='$(idirectfbfont_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbfontdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbfontdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbfontdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbfontdir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbfontDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbfont_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbfontdir)/$$p; \
	done

install-idirectfbimageproviderDATA: $(idirectfbimageprovider_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbimageproviderdir)
	@list='$(idirectfbimageprovider_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbimageproviderdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbimageproviderdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbimageproviderdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbimageproviderdir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbimageproviderDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbimageprovider_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbimageproviderdir)/$$p; \
	done

install-idirectfbinputdeviceDATA: $(idirectfbinputdevice_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbinputdevicedir)
	@list='$(idirectfbinputdevice_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbinputdevicedir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbinputdevicedir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbinputdevicedir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbinputdevicedir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbinputdeviceDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbinputdevice_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbinputdevicedir)/$$p; \
	done

install-idirectfbpaletteDATA: $(idirectfbpalette_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbpalettedir)
	@list='$(idirectfbpalette_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbpalettedir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbpalettedir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbpalettedir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbpalettedir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbpaletteDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbpalette_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbpalettedir)/$$p; \
	done

install-idirectfbscreenDATA: $(idirectfbscreen_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbscreendir)
	@list='$(idirectfbscreen_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbscreendir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbscreendir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbscreendir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbscreendir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbscreenDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbscreen_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbscreendir)/$$p; \
	done

install-idirectfbsurfaceDATA: $(idirectfbsurface_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbsurfacedir)
	@list='$(idirectfbsurface_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbsurfacedir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbsurfacedir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbsurfacedir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbsurfacedir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbsurfaceDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbsurface_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbsurfacedir)/$$p; \
	done

install-idirectfbwindowDATA: $(idirectfbwindow_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(idirectfbwindowdir)
	@list='$(idirectfbwindow_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbwindowdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(idirectfbwindowdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbwindowdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(idirectfbwindowdir)/$$p; \
	  fi; fi; \
	done

uninstall-idirectfbwindowDATA:
	@$(NORMAL_UNINSTALL)
	list='$(idirectfbwindow_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(idirectfbwindowdir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = proxy/dispatcher

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
idirectfb_dispatcher.lo idirectfb_dispatcher.o : idirectfb_dispatcher.c \
	../../config.h ../../include/directfb.h \
	../../include/dfb_types.h ../../include/directfb_keyboard.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/interface.h ../../lib/direct/mem.h \
	../../lib/direct/list.h ../../lib/direct/memcpy.h \
	../../lib/direct/thread.h ../../lib/voodoo/interface.h \
	../../lib/voodoo/types.h ../../lib/voodoo/manager.h \
	../../lib/voodoo/message.h idirectfb_dispatcher.h \
	../../lib/direct/interface_implementation.h
idirectfbdatabuffer_dispatcher.lo idirectfbdatabuffer_dispatcher.o : \
	idirectfbdatabuffer_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/interface.h \
	../../lib/direct/build.h ../../lib/direct/types.h \
	../../lib/direct/debug.h ../../lib/direct/conf.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/mem.h ../../lib/direct/memcpy.h \
	../../lib/voodoo/client.h ../../lib/voodoo/types.h \
	../../lib/voodoo/interface.h ../../lib/voodoo/manager.h \
	../../lib/voodoo/message.h \
	../../src/media/idirectfbdatabuffer.h idirectfb_dispatcher.h \
	idirectfbdatabuffer_dispatcher.h \
	../../lib/direct/interface_implementation.h
idirectfbdisplaylayer_dispatcher.lo idirectfbdisplaylayer_dispatcher.o : \
	idirectfbdisplaylayer_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/interface.h \
	../../lib/direct/build.h ../../lib/direct/types.h \
	../../lib/direct/debug.h ../../lib/direct/conf.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/mem.h ../../lib/direct/memcpy.h \
	../../lib/voodoo/interface.h ../../lib/voodoo/types.h \
	../../lib/voodoo/manager.h ../../lib/voodoo/message.h \
	idirectfbdisplaylayer_dispatcher.h \
	../../lib/direct/interface_implementation.h
idirectfbeventbuffer_dispatcher.lo idirectfbeventbuffer_dispatcher.o : \
	idirectfbeventbuffer_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/interface.h \
	../../lib/direct/build.h ../../lib/direct/types.h \
	../../lib/direct/debug.h ../../lib/direct/conf.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/mem.h ../../lib/voodoo/client.h \
	../../lib/voodoo/types.h ../../lib/voodoo/manager.h \
	../../lib/voodoo/message.h ../../lib/direct/memcpy.h \
	idirectfbeventbuffer_dispatcher.h \
	../../lib/direct/interface_implementation.h
idirectfbfont_dispatcher.lo idirectfbfont_dispatcher.o : \
	idirectfbfont_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/interface.h \
	../../lib/direct/build.h ../../lib/direct/types.h \
	../../lib/direct/debug.h ../../lib/direct/conf.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/mem.h ../../lib/direct/memcpy.h \
	../../lib/voodoo/client.h ../../lib/voodoo/types.h \
	../../lib/voodoo/interface.h ../../lib/voodoo/manager.h \
	../../lib/voodoo/message.h idirectfbfont_dispatcher.h \
	../../lib/direct/interface_implementation.h
idirectfbimageprovider_dispatcher.lo idirectfbimageprovider_dispatcher.o : \
	idirectfbimageprovider_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/interface.h \
	../../lib/direct/build.h ../../lib/direct/types.h \
	../../lib/direct/debug.h ../../lib/direct/conf.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/mem.h ../../lib/direct/memcpy.h \
	../../lib/voodoo/client.h ../../lib/voodoo/types.h \
	../../lib/voodoo/interface.h ../../lib/voodoo/manager.h \
	../../lib/voodoo/message.h idirectfbimageprovider_dispatcher.h \
	../../lib/direct/interface_implementation.h
idirectfbinputdevice_dispatcher.lo idirectfbinputdevice_dispatcher.o : \
	idirectfbinputdevice_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/interface.h \
	../../lib/direct/build.h ../../lib/direct/types.h \
	../../lib/direct/debug.h ../../lib/direct/conf.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/mem.h ../../lib/direct/memcpy.h \
	../../lib/voodoo/interface.h ../../lib/voodoo/types.h \
	../../lib/voodoo/manager.h ../../lib/voodoo/message.h \
	idirectfbinputdevice_dispatcher.h \
	../../proxy/requestor/idirectfbeventbuffer_requestor.h \
	../../lib/direct/interface_implementation.h
idirectfbpalette_dispatcher.lo idirectfbpalette_dispatcher.o : \
	idirectfbpalette_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/interface.h \
	../../lib/direct/build.h ../../lib/direct/types.h \
	../../lib/direct/debug.h ../../lib/direct/conf.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/mem.h ../../lib/direct/memcpy.h \
	../../lib/voodoo/client.h ../../lib/voodoo/types.h \
	../../lib/voodoo/interface.h ../../lib/voodoo/manager.h \
	../../lib/voodoo/message.h idirectfbpalette_dispatcher.h \
	../../lib/direct/interface_implementation.h
idirectfbscreen_dispatcher.lo idirectfbscreen_dispatcher.o : \
	idirectfbscreen_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../src/core/layers.h \
	../../src/core/coretypes.h ../../src/core/screen.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/interface.h ../../lib/direct/mem.h \
	../../lib/voodoo/manager.h ../../lib/voodoo/types.h \
	../../lib/voodoo/message.h ../../lib/direct/memcpy.h \
	idirectfbscreen_dispatcher.h \
	../../lib/direct/interface_implementation.h
idirectfbsurface_dispatcher.lo idirectfbsurface_dispatcher.o : \
	idirectfbsurface_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../src/core/core.h \
	../../lib/fusion/types.h ../../lib/fusion/build.h \
	../../lib/direct/types.h ../../lib/fusion/lock.h \
	../../lib/direct/messages.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/fusion/object.h \
	../../lib/direct/list.h ../../lib/direct/debug.h \
	../../lib/direct/log.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../lib/fusion/reactor.h \
	../../src/core/coretypes.h ../../src/core/coredefs.h \
	../../src/core/coredefs.h ../../src/core/coretypes.h \
	../../src/core/gfxcard.h ../../lib/direct/modules.h \
	../../src/core/fonts.h ../../src/core/state.h \
	../../lib/direct/serial.h ../../src/gfx/generic/generic.h \
	../../src/misc/util.h ../../include/directfb_util.h \
	../../src/core/palette.h ../../src/core/surfaces.h \
	../../src/core/surfacemanager.h ../../src/media/idirectfbfont.h \
	../../src/display/idirectfbsurface.h \
	../../src/display/idirectfbpalette.h \
	../../lib/direct/interface.h ../../lib/direct/mem.h \
	../../lib/direct/memcpy.h ../../src/gfx/convert.h \
	../../src/gfx/util.h ../../lib/voodoo/interface.h \
	../../lib/voodoo/types.h ../../lib/voodoo/manager.h \
	../../lib/voodoo/message.h idirectfbsurface_dispatcher.h \
	../../lib/direct/interface_implementation.h
idirectfbwindow_dispatcher.lo idirectfbwindow_dispatcher.o : \
	idirectfbwindow_dispatcher.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/interface.h \
	../../lib/direct/build.h ../../lib/direct/types.h \
	../../lib/direct/debug.h ../../lib/direct/conf.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/mem.h ../../lib/direct/memcpy.h \
	../../lib/voodoo/interface.h ../../lib/voodoo/types.h \
	../../lib/voodoo/manager.h ../../lib/voodoo/message.h \
	../../proxy/requestor/idirectfbeventbuffer_requestor.h \
	idirectfbwindow_dispatcher.h \
	../../lib/direct/interface_implementation.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-idirectfbLTLIBRARIES \
		install-idirectfbdatabufferLTLIBRARIES \
		install-idirectfbdisplaylayerLTLIBRARIES \
		install-idirectfbeventbufferLTLIBRARIES \
		install-idirectfbfontLTLIBRARIES \
		install-idirectfbimageproviderLTLIBRARIES \
		install-idirectfbinputdeviceLTLIBRARIES \
		install-idirectfbpaletteLTLIBRARIES \
		install-idirectfbscreenLTLIBRARIES \
		install-idirectfbsurfaceLTLIBRARIES \
		install-idirectfbwindowLTLIBRARIES \
		install-idirectfbDATA install-idirectfbdatabufferDATA \
		install-idirectfbdisplaylayerDATA \
		install-idirectfbeventbufferDATA \
		install-idirectfbfontDATA \
		install-idirectfbimageproviderDATA \
		install-idirectfbinputdeviceDATA \
		install-idirectfbpaletteDATA \
		install-idirectfbscreenDATA \
		install-idirectfbsurfaceDATA \
		install-idirectfbwindowDATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-idirectfbLTLIBRARIES \
		uninstall-idirectfbdatabufferLTLIBRARIES \
		uninstall-idirectfbdisplaylayerLTLIBRARIES \
		uninstall-idirectfbeventbufferLTLIBRARIES \
		uninstall-idirectfbfontLTLIBRARIES \
		uninstall-idirectfbimageproviderLTLIBRARIES \
		uninstall-idirectfbinputdeviceLTLIBRARIES \
		uninstall-idirectfbpaletteLTLIBRARIES \
		uninstall-idirectfbscreenLTLIBRARIES \
		uninstall-idirectfbsurfaceLTLIBRARIES \
		uninstall-idirectfbwindowLTLIBRARIES \
		uninstall-idirectfbDATA \
		uninstall-idirectfbdatabufferDATA \
		uninstall-idirectfbdisplaylayerDATA \
		uninstall-idirectfbeventbufferDATA \
		uninstall-idirectfbfontDATA \
		uninstall-idirectfbimageproviderDATA \
		uninstall-idirectfbinputdeviceDATA \
		uninstall-idirectfbpaletteDATA \
		uninstall-idirectfbscreenDATA \
		uninstall-idirectfbsurfaceDATA \
		uninstall-idirectfbwindowDATA
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(idirectfbdir) \
		$(DESTDIR)$(idirectfbdatabufferdir) \
		$(DESTDIR)$(idirectfbdisplaylayerdir) \
		$(DESTDIR)$(idirectfbeventbufferdir) \
		$(DESTDIR)$(idirectfbfontdir) \
		$(DESTDIR)$(idirectfbimageproviderdir) \
		$(DESTDIR)$(idirectfbinputdevicedir) \
		$(DESTDIR)$(idirectfbpalettedir) \
		$(DESTDIR)$(idirectfbscreendir) \
		$(DESTDIR)$(idirectfbsurfacedir) \
		$(DESTDIR)$(idirectfbwindowdir) \
		$(DESTDIR)$(idirectfbdir) \
		$(DESTDIR)$(idirectfbdatabufferdir) \
		$(DESTDIR)$(idirectfbdisplaylayerdir) \
		$(DESTDIR)$(idirectfbeventbufferdir) \
		$(DESTDIR)$(idirectfbfontdir) \
		$(DESTDIR)$(idirectfbimageproviderdir) \
		$(DESTDIR)$(idirectfbinputdevicedir) \
		$(DESTDIR)$(idirectfbpalettedir) \
		$(DESTDIR)$(idirectfbscreendir) \
		$(DESTDIR)$(idirectfbsurfacedir) \
		$(DESTDIR)$(idirectfbwindowdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-idirectfbLTLIBRARIES \
		mostlyclean-idirectfbdatabufferLTLIBRARIES \
		mostlyclean-idirectfbdisplaylayerLTLIBRARIES \
		mostlyclean-idirectfbeventbufferLTLIBRARIES \
		mostlyclean-idirectfbfontLTLIBRARIES \
		mostlyclean-idirectfbimageproviderLTLIBRARIES \
		mostlyclean-idirectfbinputdeviceLTLIBRARIES \
		mostlyclean-idirectfbpaletteLTLIBRARIES \
		mostlyclean-idirectfbscreenLTLIBRARIES \
		mostlyclean-idirectfbsurfaceLTLIBRARIES \
		mostlyclean-idirectfbwindowLTLIBRARIES \
		mostlyclean-compile mostlyclean-libtool \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-idirectfbLTLIBRARIES \
		clean-idirectfbdatabufferLTLIBRARIES \
		clean-idirectfbdisplaylayerLTLIBRARIES \
		clean-idirectfbeventbufferLTLIBRARIES \
		clean-idirectfbfontLTLIBRARIES \
		clean-idirectfbimageproviderLTLIBRARIES \
		clean-idirectfbinputdeviceLTLIBRARIES \
		clean-idirectfbpaletteLTLIBRARIES \
		clean-idirectfbscreenLTLIBRARIES \
		clean-idirectfbsurfaceLTLIBRARIES \
		clean-idirectfbwindowLTLIBRARIES clean-compile \
		clean-libtool clean-tags clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-idirectfbLTLIBRARIES \
		distclean-idirectfbdatabufferLTLIBRARIES \
		distclean-idirectfbdisplaylayerLTLIBRARIES \
		distclean-idirectfbeventbufferLTLIBRARIES \
		distclean-idirectfbfontLTLIBRARIES \
		distclean-idirectfbimageproviderLTLIBRARIES \
		distclean-idirectfbinputdeviceLTLIBRARIES \
		distclean-idirectfbpaletteLTLIBRARIES \
		distclean-idirectfbscreenLTLIBRARIES \
		distclean-idirectfbsurfaceLTLIBRARIES \
		distclean-idirectfbwindowLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-generic \
		clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-idirectfbLTLIBRARIES \
		maintainer-clean-idirectfbdatabufferLTLIBRARIES \
		maintainer-clean-idirectfbdisplaylayerLTLIBRARIES \
		maintainer-clean-idirectfbeventbufferLTLIBRARIES \
		maintainer-clean-idirectfbfontLTLIBRARIES \
		maintainer-clean-idirectfbimageproviderLTLIBRARIES \
		maintainer-clean-idirectfbinputdeviceLTLIBRARIES \
		maintainer-clean-idirectfbpaletteLTLIBRARIES \
		maintainer-clean-idirectfbscreenLTLIBRARIES \
		maintainer-clean-idirectfbsurfaceLTLIBRARIES \
		maintainer-clean-idirectfbwindowLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-idirectfbLTLIBRARIES distclean-idirectfbLTLIBRARIES \
clean-idirectfbLTLIBRARIES maintainer-clean-idirectfbLTLIBRARIES \
uninstall-idirectfbLTLIBRARIES install-idirectfbLTLIBRARIES \
mostlyclean-idirectfbdatabufferLTLIBRARIES \
distclean-idirectfbdatabufferLTLIBRARIES \
clean-idirectfbdatabufferLTLIBRARIES \
maintainer-clean-idirectfbdatabufferLTLIBRARIES \
uninstall-idirectfbdatabufferLTLIBRARIES \
install-idirectfbdatabufferLTLIBRARIES \
mostlyclean-idirectfbdisplaylayerLTLIBRARIES \
distclean-idirectfbdisplaylayerLTLIBRARIES \
clean-idirectfbdisplaylayerLTLIBRARIES \
maintainer-clean-idirectfbdisplaylayerLTLIBRARIES \
uninstall-idirectfbdisplaylayerLTLIBRARIES \
install-idirectfbdisplaylayerLTLIBRARIES \
mostlyclean-idirectfbeventbufferLTLIBRARIES \
distclean-idirectfbeventbufferLTLIBRARIES \
clean-idirectfbeventbufferLTLIBRARIES \
maintainer-clean-idirectfbeventbufferLTLIBRARIES \
uninstall-idirectfbeventbufferLTLIBRARIES \
install-idirectfbeventbufferLTLIBRARIES \
mostlyclean-idirectfbfontLTLIBRARIES distclean-idirectfbfontLTLIBRARIES \
clean-idirectfbfontLTLIBRARIES \
maintainer-clean-idirectfbfontLTLIBRARIES \
uninstall-idirectfbfontLTLIBRARIES install-idirectfbfontLTLIBRARIES \
mostlyclean-idirectfbimageproviderLTLIBRARIES \
distclean-idirectfbimageproviderLTLIBRARIES \
clean-idirectfbimageproviderLTLIBRARIES \
maintainer-clean-idirectfbimageproviderLTLIBRARIES \
uninstall-idirectfbimageproviderLTLIBRARIES \
install-idirectfbimageproviderLTLIBRARIES \
mostlyclean-idirectfbinputdeviceLTLIBRARIES \
distclean-idirectfbinputdeviceLTLIBRARIES \
clean-idirectfbinputdeviceLTLIBRARIES \
maintainer-clean-idirectfbinputdeviceLTLIBRARIES \
uninstall-idirectfbinputdeviceLTLIBRARIES \
install-idirectfbinputdeviceLTLIBRARIES \
mostlyclean-idirectfbpaletteLTLIBRARIES \
distclean-idirectfbpaletteLTLIBRARIES clean-idirectfbpaletteLTLIBRARIES \
maintainer-clean-idirectfbpaletteLTLIBRARIES \
uninstall-idirectfbpaletteLTLIBRARIES \
install-idirectfbpaletteLTLIBRARIES \
mostlyclean-idirectfbscreenLTLIBRARIES \
distclean-idirectfbscreenLTLIBRARIES clean-idirectfbscreenLTLIBRARIES \
maintainer-clean-idirectfbscreenLTLIBRARIES \
uninstall-idirectfbscreenLTLIBRARIES install-idirectfbscreenLTLIBRARIES \
mostlyclean-idirectfbsurfaceLTLIBRARIES \
distclean-idirectfbsurfaceLTLIBRARIES clean-idirectfbsurfaceLTLIBRARIES \
maintainer-clean-idirectfbsurfaceLTLIBRARIES \
uninstall-idirectfbsurfaceLTLIBRARIES \
install-idirectfbsurfaceLTLIBRARIES \
mostlyclean-idirectfbwindowLTLIBRARIES \
distclean-idirectfbwindowLTLIBRARIES clean-idirectfbwindowLTLIBRARIES \
maintainer-clean-idirectfbwindowLTLIBRARIES \
uninstall-idirectfbwindowLTLIBRARIES install-idirectfbwindowLTLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool uninstall-idirectfbDATA \
install-idirectfbDATA uninstall-idirectfbdatabufferDATA \
install-idirectfbdatabufferDATA uninstall-idirectfbdisplaylayerDATA \
install-idirectfbdisplaylayerDATA uninstall-idirectfbeventbufferDATA \
install-idirectfbeventbufferDATA uninstall-idirectfbfontDATA \
install-idirectfbfontDATA uninstall-idirectfbimageproviderDATA \
install-idirectfbimageproviderDATA uninstall-idirectfbinputdeviceDATA \
install-idirectfbinputdeviceDATA uninstall-idirectfbpaletteDATA \
install-idirectfbpaletteDATA uninstall-idirectfbscreenDATA \
install-idirectfbscreenDATA uninstall-idirectfbsurfaceDATA \
install-idirectfbsurfaceDATA uninstall-idirectfbwindowDATA \
install-idirectfbwindowDATA tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


%.o: .libs/%.a %.la
	rm -f $<.tmp/*.o
	if test -d $<.tmp; then rmdir $<.tmp; fi
	mkdir $<.tmp
	(cd $<.tmp && $(AR) x ../../$<)
	$(LD) -o $@ -r $<.tmp/*.o
	rm -f $<.tmp/*.o && rmdir $<.tmp

.PHONY: $(LTLIBRARIES:%.la=.libs/%.a)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
